Subject: Re: bug#33580: Guix pull: building guix-manual.drv locale not fund

From: [email-masked] (Ludovic Courtès)
Date: Sun, 02 Dec 2018 23:42:50 +0100

Hello,

<[email-masked]> skribis:

> # guix pull
> guix ... adfb167
> ...
> substitute: updating substitutes from 'https://mirror.hydra.gnu.org'... 100.0%
> building /gnu/store/abm71vz51xi6b3s5l0yqxr8i22yfzyam-guix-manual.drv...
> sh: locale: command not found
> sh: locale: command not found
> sh: locale: command not found

It’s arguably confusing but not a bug: ‘makeinfo’ (which comes from
Texinfo) tries to invoke the ‘locale’ command, which isn’t available,
hence this message.  Specifically, this appears to come from xspara.c
when a UTF-8 locale could not be installed:

--8<---------------cut here---------------start------------->8---
  /* Otherwise, look for any UTF-8 locale in the output of "locale -a". */
  {
  FILE *p;
  char *line = 0;
  size_t n = 0;
  ssize_t ret;
  p = popen ("locale -a", "r");
--8<---------------cut here---------------end--------------->8---

This is now fixed in commit 2d337760501662f9a380a117312934e489bd5f1d.
Not sure whether it makes a different on the ‘makeinfo’ output.

Thanks,
Ludo’.